Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-10685

Template inheritance test produces a notice on php 5.4 due to an incompatible override of setup_engine

    Details

    • Type: Bug
    • Status: Unverified Fix
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.1.0-dev
    • Fix Version/s: 3.1.0-a1
    • Component/s: None
    • Labels:
      None
    • Environment:
      PHP 5.4.0 prerelease

      Description

      Strict Standards: Declaration of phpbb_template_template_inheritance_test::setup_engine() should be compatible with phpbb_template_template_test_case::setup_engine(array $new_config = Array) in /home/pie/apps/phpbb/tests/template/template_inheritance_test.php on line 76

        Activity

        Hide
        bantu Andreas Fischer added a comment -

        Patch was not tested on PHP 5.4.

        Show
        bantu Andreas Fischer added a comment - Patch was not tested on PHP 5.4.

          People

          • Assignee:
            Oleg Oleg [X] (Inactive)
            Reporter:
            Oleg Oleg [X] (Inactive)
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development